Billing
Billing Usage API (Beta)
Get paginated billing usage data for the authenticated user. NOTE: This is a beta endpoint and may be subject to change.
GET
/api/v1/billing/usage
Exports usage data for a user. Descriptions of response fields can be found below:
- timestamp: The timestamp the billing usage entry was created
- sku: The product associated with the billing usage entry
- pricePerUnitUsd: The price per unit in USD
- unit: The number of units consumed
- amount: The total amount charged for the billing usage entry
- currency: The currency charged for the billing usage entry
- notes: Notes about the billing usage entry
- inferenceDetails.requestId: The request ID associated with the inference
- inferenceDetails.inferenceExecutionTime: Time taken for inference execution in milliseconds
- inferenceDetails.promptTokens: Number of tokens requested in the prompt. Only present for LLM usage.
- inferenceDetails.completionTokens: Number of tokens used in the completion. Only present for LLM usage.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Accept header to specify the response format
Example:
"application/json, text/csv"
Query Parameters
Filter by currency
Available options:
USD, VCU, DIEM, BUNDLED_CREDITS Example:
"USD"
End date for filtering records (ISO 8601)
Example:
"2024-12-31T23:59:59.000Z"
Number of items per page
Required range:
0 < x <= 500Example:
200
Page number for pagination
Required range:
x > 0Example:
1
Sort order for createdAt field
Available options:
asc, desc Example:
"desc"
Start date for filtering records (ISO 8601)
Example:
"2024-01-01T00:00:00.000Z"
Previous
Billing Usage Analytics (Beta)**Beta**: This endpoint is currently in beta and may be unstable. Request/response schemas and behavior may change without notice.
Get aggregated usage analytics for the authenticated user with breakdowns by date, model, and API key. This endpoint provides summary views of your API usage, ideal for dashboards and usage monitoring. Data is cached for 10 minutes.
Next
/api/v1/billing/usage